gtk-sharp Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Widget Base class for widgets that visualize an .

This class provides helper methods and properties for manipulating concrete widgets like and .

- Constructor
  Protected constructor.
- Constructor
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Event
  GLib.Signal("adjust-bounds")
  Gtk.AdjustBoundsHandler Raised when the bounds of the range are adjusted.
- Property
  GLib.Property("adjustment")
  Gtk.Adjustment Manipulate the underlying model of this range. The current underlying this range.
- Event
  GLib.Signal("change-value")
  Gtk.ChangeValueHandler To be added To be added
- Property
  GLib.Property("fill-level")
  System.Double To be added. To be added. To be added.
- Property
  System.Boolean To be added. To be added. To be added.
- Method
  System.Void `` To be added. To be added. To be added.
- Method
  System.Void `` `` To be added. To be added. To be added. To be added.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Property
  GLib.Property("inverted")
  System.Boolean Manage whether the control of this range is manipulated in the opposite direction. Whether visual control of the range is currently inverted.

  Setting this to causes a widget to move from right to left, instead of left to right.

- Property
  GLib.Property("lower-stepper-sensitivity")
  Gtk.SensitivityType Sensitivity policy for the lower end of the Range's adjustment. the .
- Property
  System.Int32 To be added. To be added. To be added.
- Event
  GLib.Signal("move-slider")
  Gtk.MoveSliderHandler Raised when the user moves a slider.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideAdjustBounds", Type=typeof(Gtk.Range))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideChangeValue", Type=typeof(Gtk.Range))
  System.Boolean `` `` a a Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideGetRangeBorder", Type=typeof(Gtk.Range))
  System.Void `` To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideMoveSlider", Type=typeof(Gtk.Range))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideValueChanged", Type=typeof(Gtk.Range))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Property
  GLib.Property("restrict-to-fill-level")
  System.Boolean To be added. To be added. To be added.
- Property
  GLib.Property("round-digits")
  System.Int32 To be added. To be added. To be added.
- Method
  System.Void `` `` Value difference for step movements, (see below). Value difference for page movements, (see below). Sets the step and page sizes for this range.

  The size is used when the user clicks the arrows or moves with arrow keys. The size is used for example when moving via Page Up or Page Down keys.

- Method
  System.Void `` `` The minimum acceptable value for this range. The maximum acceptable value for this range. Sets the limits of this range.
- Property
  GLib.Property("show-fill-level")
  System.Boolean To be added. To be added. To be added.
- Property
  System.Boolean To be added. To be added. To be added.
- Property
  GLib.Property("upper-stepper-sensitivity")
  Gtk.SensitivityType Sensitivity policy for the upper end of the Range's adjustment. the .
- Property
  System.Double Manage the value of this range. The current value of this range.
- Event
  GLib.Signal("value-changed")
  System.EventHandler Raised when the value in this range changes.

  Connect to this event with a standard to find out when the value changes.